> For the complete documentation index, see [llms.txt](https://developers.payssam.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.payssam.kr/release_notes/api-v2.md).

# API V2

{% updates format="full" %}
{% update date="2026-06-11" %}

## API V2 요청 파라미터 명세 수정

v2.0.1

### 변경 요약

`member` / `merchant` 필드 최대 길이 확장

***

### 수정 내용

#### 1. `member` / `merchant` 필드 최대 길이 확장

전체 V2 API 엔드포인트에서 `member`(파트너 사용자 코드)와 `merchant`(파트너 매장 코드)의 최대 허용 길이를 확장했습니다.

| 필드         | 변경 전 | 변경 후 |
| ---------- | ---- | ---- |
| `member`   | 30자  | 60자  |
| `merchant` | 30자  | 60자  |

**적용 API**

* 청구서 생성 (`POST /bill`)
* 청구서 결제 취소 (`POST /bill/cancel`)
* 청구서 파기 (`POST /bill/destroy`)
* 청구서 조회 (`POST /bill/read`)
* 청구서 재발송 (`POST /bill/resend`)
* RP 청구서 결제 (`POST /bill/rp`)
* RP 자동결제 수단 등록 (`POST /rp/manage`)
* RP 자동결제 수단 삭제 (`POST /rp/delete`)
* 현금영수증 발행 (`POST /cash-receipt/issue`)
* 현금영수증 취소 (`POST /cash-receipt/cancel`)
* 현금영수증 조회 (`POST /cash-receipt/read`)
* 고객 결제 수단 조회 (`POST /customer/pay-method`)
* 하위 사업장 게시 상태 확인 (`POST /partner/auth/mapping-status`)
  {% endupdate %}

{% update date="2026-05-13" %}

## 결제선생 파트너 개발자센터 공식 Release

v2.0.0

결제선생 개발자센터 정식 오픈과 함께 제공되는 V2 API 기능 목록입니다. 상세 규격은 각 섹션의 연동가이드를 참고해 주세요.

### 제공 기능 <a href="#undefined" id="undefined"></a>

#### 청구서 발송 및 파기 <a href="#undefined" id="undefined"></a>

* **카카오톡 청구서 발송** — 청구서 생성 후 고객에게 카카오톡 발송
* **청구서 재발송** — 카카오톡 재발송
* **청구서 파기** — 미결제 청구서 파기

#### 수납 및 결제취소 <a href="#undefined" id="undefined"></a>

* **결제 승인** - 청구서를 통한 결제
* **결제 취소** — 승인된 거래 취소 처리
* **거래 내역 조회** — billId 기준 단건 조회

#### 현금 영수증 <a href="#undefined" id="undefined"></a>

* **발행 / 취소 / 조회**

#### 하위사업장 가입 및 등록 <a href="#undefined" id="undefined"></a>

* **하위 사업장 등록 URL 발급** — 파트너 고객 사업장 연동용 URL
* **하위 사업장 매핑 및 상태 조회** — 연동 현황 확인
* **하위 사업장 연동 상태 콜백**

#### 하위 사업장 조회 <a href="#undefined" id="undefined"></a>

* **하위 사업장 리스트 조회**
* **파트너 정보 조회 / callbackUrl 변경**

#### 쌤포인트 잔액 조회 <a href="#undefined" id="undefined"></a>

* **잔액 조회** — 관리 사업장 / 하위 사업장 기준

#### Callback <a href="#callback" id="callback"></a>

* **결제 승인 결과 콜백** — 파트너 callbackUrl로 결제 결과 전달
* **승인 결과 재전송 관제** — 콜백 실패 시 자동 재전송 (승인일시기준으로 24시간내에 1시간 마다 자동 재전송)

#### 기타 <a href="#undefined" id="undefined"></a>

* **에러 코드 v2 정리**

***

문의: 상세 규격 및 연동 방법은 개발자센터 연동가이드를 참고해 주세요.
{% endupdate %}
{% endupdates %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.payssam.kr/release_notes/api-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
